<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE xsl:transform>
<xsl:transform xmlns:xsl='http://www.w3.org/1999/XSL/Transform'  xmlns:al="http://www.logilab.org/namespaces/Narval/1.2" version='1.0'>
  <xsl:output method='xml' indent='yes' encoding='ISO-8859-1' version='1.0'/>
  <xsl:strip-space elements='*'/>

<!-- Narval prototype ====================================================== -->
<al:prototype>
<al:description lang="fr">Extrait la doc des recipes.</al:description>
<al:description lang="fr">Translate recipes description to docbook
documentation.</al:description> 
<al:input id='input'><al:match>tmp-doc-ctrl</al:match>
<al:description lang="en">transform control structure</al:description>
</al:input>
<al:input id='input2' list="yes"><al:match>al:recipe</al:match>
<al:description lang="en">recipes to document</al:description>
</al:input>
<al:output id='output'><al:match>article</al:match>
<al:description lang="en">docbook article</al:description>
</al:output>
</al:prototype>
<!-- ======================================================================= -->
<xsl:variable name="LANG"><xsl:value-of select="//tmp-doc-ctrl/lang/text()"/></xsl:variable>
<xsl:variable name="GROUP"><xsl:value-of select="//tmp-doc-ctrl/group/text()"/></xsl:variable>

<xsl:template match="al:arguments">
<article>
<artheader>
<xsl:choose>
 <xsl:when test="$LANG=fr">
  <title>Description des recettes du livre de recette <xsl:value-of select="$GROUP"/></title>
 </xsl:when>
<xsl:otherwise>
  <title>Recipes description for cookbook <xsl:value-of select="$GROUP"/></title>
</xsl:otherwise> 
</xsl:choose> 
</artheader>
<xsl:apply-templates select="al:recipe"/>
</article>
</xsl:template>

<xsl:template match="al:recipe">
<sect1>
 <title>
   <xsl:value-of select="@group"/>.<xsl:value-of select="@name"/>
 </title>
 <para> 
   <xsl:value-of select="./description[@lang=$LANG]/text()"/>
 </para>
</sect1>
</xsl:template>

<!--
<xsl:template match="">
<xsl:choose>
 <xsl:when test="">
 </xsl:when>
 <xsl:otherwise>
 </xsl:otherwise> 
</xsl:choose> 
</xsl:template>
-->

</xsl:transform>
