<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE xsl:transform>
<xsl:transform xmlns:xsl='http://www.w3.org/1999/XSL/Transform' version='1.0' xmlns:al="http://www.logilab.org/namespaces/Narval/1.2">
  <xsl:include href="Autodoc/common2docbook.xsl"/>
  <xsl:output method='xml' indent='yes' encoding='ISO-8859-1' version='1.0'/>
  <xsl:strip-space elements='*'/>

<!-- Narval prototype ====================================================== -->
<al:prototype>
<al:description lang="fr">Extrait la doc des transforms.</al:description>
<al:description lang="en">Translate transforms description to docbook
documentation.</al:description> 
<al:input id='input'><al:match>tmp-doc-ctrl</al:match>
<al:description lang="en">transform control structure</al:description>
</al:input>
<al:input id='input1' list="yes"><al:match>xsl:transform</al:match>
<al:description lang="en">transforms to document</al:description>
</al:input>
<al:output id='output'><al:match>article</al:match>
<al:description lang="en">docbook article</al:description>
</al:output>
</al:prototype>
<!-- ======================================================================= -->
<xsl:variable name="LANG"><xsl:value-of select="//tmp-doc-ctrl/lang/text()"/></xsl:variable>
<xsl:variable name="GROUP"><xsl:value-of select="//tmp-doc-ctrl/group/text()"/></xsl:variable>

<xsl:template match="al:arguments">
<article>
<artheader>
<xsl:choose>
 <xsl:when test="$LANG=fr">
  <title>Description des transformations du module <xsl:value-of select="$GROUP"/></title>
 </xsl:when>
<xsl:otherwise>
  <title>Transforms description for module <xsl:value-of select="$GROUP"/></title>
</xsl:otherwise> 
</xsl:choose> 
</artheader>
<xsl:apply-templates select="xsl:transform"/>
</article>

</xsl:template>

<xsl:template match="xsl:transform">
<sect1>
 <title>
   <xsl:value-of select="@group"/>.<xsl:value-of select="@name"/>
 </title>
 <xsl:apply-templates select="al:prototype"/>
</sect1>
</xsl:template>

<xsl:template match="al:prototype">
 <para> 
   <xsl:value-of select="./al:description[@lang=$LANG]/text()"/>
 </para>
 <para>
<xsl:choose>
 <xsl:when test="al:input">
 <sect2>
   <title>Input</title>
   <itemizedlist>
<xsl:apply-templates select="al:input"/>
   </itemizedlist>
 </sect2>
 </xsl:when>
</xsl:choose> 
<xsl:choose>
 <xsl:when test="al:output">
 <sect2>
   <title>Output</title>
   <itemizedlist>
<xsl:apply-templates select="al:output"/>
   </itemizedlist>
 </sect2>
 </xsl:when>
</xsl:choose> 
 </para>
</xsl:template>

</xsl:transform>
